<?php

    /*
    
        UMBRELLA Consulting - ALPHA CMS
        
        Version: 3.2
        
        File name: alpha.php
        Description: This file contains the ALPHA CMS A.P.I and front-end calls.
        
        Coded by George Delaportas (G0D)
        
        UMBRELLA Consulting
        Copyright (c) 2010
    
    */
    
    
    
    // Disable caching
    header("Cache-Control: no-cache, must-revalidate"); // HTTP 1.1
    header("Expires: Sat, 26 Jul 1997 05:00:00 GMT");   // Date in the past
    
    // Disable error reporting
    error_reporting(0);
    
    // Create a new ALPHA CMS object
    $alpha = new ALPHA;
    
    // Include DTBS class
    require_once($alpha->Absolute_Path() . 'db.php');
    
    // Include CTRL class
    require_once($alpha->Absolute_Path() . 'controler.php');
    
    // Include UTL class
    require_once($alpha->Absolute_Path() . 'utilities.php');
    
    // Include STY class
    require_once($alpha->Absolute_Path() . 'smarty.php');
    
    // Create a new DTBS object
    $new_db = new DTBS;
    
    // Create a new CTRL object
    $new_ctrl = new CTRL;
    
    // Create a new UTL object
    $new_utl = new UTL;
    
    // Create a new STY object
    $new_sty = new STY;
    
    // ALPHA CMS class
    class ALPHA
    {
    
        //Global variables
        private $alpha_lang_code = 'en';
        
        // Absolute_Path: Get ALPHA CMS absolute path
        public function Absolute_Path()
        {
        
            $script_path = substr($_SERVER['PHP_SELF'], 1, strpos(substr($_SERVER['PHP_SELF'], 1), '/'));
            
            $root_path = $_SERVER['DOCUMENT_ROOT'];
            
            $final_path = $root_path . '/' . $script_path . '/';
            
            return $final_path;
        
        }
        
        // Setup_Wizard: UTL->Setup_Wizard front-end
        public function Setup_Wizard()
        {
        
            global $new_utl;
            
            $alpha_result = $new_utl->Setup_Wizard();
            
            return $alpha_result;
        
        }
        
        // Use_DB: UTL->Use_DB front-end
        public function Use_DB()
        {
        
            global $new_utl;
            
            $alpha_result = $new_utl->Use_DB();
            
            return $alpha_result;
        
        }
        
        // DB_Connect: DTBS->Connect front-end
        public function DB_Connect($domain, $new_db, $user, $pass)
        {
        
            global $new_db;
            
            $alpha_result = $new_db->Connect($domain, $new_db, $user, $pass);
            
            return $alpha_result;
        
        }
        
        // DB_Disconnect: DTBS->Disconnect front-end
        public function DB_Disconnect($connection_id)
        {
        
            global $new_db;
            
            $alpha_result = $new_db->Disconnect($connection_id);
            
            return $alpha_result;
        
        }
        
        // Load_Common: CTRL->Load_Common front-end
        public function Load_Common($option, $lang_code)
        {
        
            global $new_ctrl;
            
            $alpha_result = array();
            
            $alpha_result = $new_ctrl->Load_Common($option, $lang_code);
            
            return $alpha_result;
        
        }
        
        // Load_Language: CTRL->Load_Lang front-end
        public function Load_Language($lang_code)
        {
        
            global $new_ctrl;
            
            $alpha_result = array();
            
            $alpha_result = $new_ctrl->Load_Lang($lang_code);
            
            return $alpha_result;
        
        }
        
        // Load_Menu: CTRL->Load_Menu front-end
        public function Load_Menu($caller_id, $lang_code)
        {
        
            global $new_ctrl;
            
            $alpha_result = array();
            
            $alpha_result = $new_ctrl->Load_Menu($caller_id, $lang_code);
            
            return $alpha_result;
        
        }
        
        // Load_Content: CTRL->Load_Content front-end
        public function Load_Content($page, $option, $lang_code)
        {
        
            global $new_ctrl;
            
            $alpha_result = array();
            
            $alpha_result = $new_ctrl->Load_Content($page, $option, $lang_code);
            
            return $alpha_result;
        
        }
        
        // Insert languages: CTRL->Insert_Lang front-end
        public function Insert_Lang($lang_code, $language, $sort_order)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Insert_Lang($lang_code, $language, $sort_order);
            
            return $alpha_result;
        
        }
        
        // Insert common options: CTRL->Insert_Common front-end
        public function Insert_Common($site_title, $site_description, $site_keywords, $company_name, $company_site, $footer_info, $lang_code)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Insert_Common($site_title, $site_description, $site_keywords, $company_name, $company_site, $footer_info, $lang_code);
            
            return $alpha_result;
        
        }
        
        // Insert menu: CTRL->Insert_Menu front-end
        public function Insert_Menu($caller_id, $parent_menu_id, $menu_name, $menu_link, $lang_code, $sort_order)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Insert_Menu($caller_id, $parent_menu_id, $menu_name, $menu_link, $lang_code, $sort_order);
            
            return $alpha_result;
        
        }
        
        // Insert content: CTRL->Insert_Content front-end
        public function Insert_Content($page, $content, $keywords, $lang_code)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Insert_Content($page, $content, $keywords, $lang_code);
            
            return $alpha_result;
        
        }
        
        // Update languages: CTRL->Update_Lang front-end
        public function Update_Lang($id, $lang_code, $language, $sort_order)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Update_Lang($id, $lang_code, $language, $sort_order);
            
            return $alpha_result;
        
        }
        
        // Update common options: CTRL->Update_Common front-end
        public function Update_Common($id, $site_title, $site_description, $site_keywords, $company_name, $company_site, $footer_info, $lang_code)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Update_Common($id, $site_title, $site_description, $site_keywords, $company_name, $company_site, $footer_info, $lang_code);
            
            return $alpha_result;
        
        }
        
        // Update menu: CTRL->Update_Menu front-end
        public function Update_Menu($id, $caller_id, $parent_menu_id, $menu_name, $menu_link, $lang_code, $sort_order)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Update_Menu($id, $caller_id, $parent_menu_id, $menu_name, $menu_link, $lang_code, $sort_order);
            
            return $alpha_result;
        
        }
        
        // Update content: CTRL->Update_Content front-end
        public function Update_Content($id, $page, $content, $keywords, $lang_code)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Update_Content($id, $page, $content, $keywords, $lang_code);
            
            return $alpha_result;
        
        }
        
        // Delete languages: CTRL->Delete_Lang front-end
        public function Delete_Lang($id)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Delete_Lang($id);
            
            return $alpha_result;
        
        }
        
        // Delete common options: CTRL->Delete_Common front-end
        public function Delete_Common($id)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Delete_Common($id);
            
            return $alpha_result;
        
        }
        
        // Delete menu: CTRL->Delete_Menu front-end
        public function Delete_Menu($id)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Delete_Menu($id);
            
            return $alpha_result;
        
        }
        
        // Delete content: CTRL->Delete_Content front-end
        public function Delete_Content($id)
        {
        
            global $new_ctrl;
            
            $alpha_result = $new_ctrl->Delete_Content($id);
            
            return $alpha_result;
        
        }
        
        // Smarty_Object: STY->Create_Object front-end
        public function Smarty_Object()
        {
        
            global $new_sty;
            
            $alpha_result = $new_sty->Create_Object();
            
            return $alpha_result;
        
        }
        
        // Set_Language: Set current language
        public function Set_Language($lang_code)
        {
        
            try
            {
            
                $this->alpha_lang_code = $lang_code;
                
                return 1;
            
            }
            
            catch(exception $e)
            {
            
                return 0;
            
            }
        
        }
        
        // Get_Language: Get current language
        public function Get_Language()
        {
        
            try
            {
            
                if($_GET['lang'])
                    $this->alpha_lang_code = $_GET['lang'];
                
                return $this->alpha_lang_code;
            
            }
            
            catch(exception $e)
            {
            
                return 0;
            
            }
        
        }
        
        // Execute SQL: DTBS->Execute_SQL front-end
        public function Exec_SQL($sql_com, $option = '')
        {
        
            global $new_db;
            
            $alpha_result = $new_db->Execute_SQL($sql_com, $option);
            
            return $alpha_result;
        
        }
        
        // Exec_SQL_Script: Execute SQL script files
        public function Exec_SQL_Script($sql_file, $option = '')
        {
        
            global $new_db;
            
            $file_handler = fopen($sql_file, 'r');
            
            if (!$file_handler)
                return 0;
            
            $sql = fread($file_handler, filesize($sql_file));
            
            fclose($file_handler);
            
            if (!$sql)
                return 0;
            
            $alpha_result = $new_db->Execute_SQL($sql, $option);
            
            return $alpha_result;
        
        }
        
        // Load_Extension: Load ALPHA CMS extensions
        public function Load_Extension($extension, $ext_type)
        {
        
            global $new_utl;
            
            // PHP extensions
            if ($ext_type == 'php')
            {
            
                if ($extension == 'all')
                {
                
                    $result = $new_utl->Process_Dir('extensions/php', true);
                    
                    // Load all the extensions
                    foreach ($result as $file)
                        require_once($file['dirpath'] . '/' . $file['filename']);
                    
                    return 1;
                
                }
                
                else
                {
                
                    $result = $new_utl->Process_Dir('extensions/php/' . $extension, true);
                    
                    // Load all this extension
                    foreach ($result as $file)
                        require_once($file['dirpath'] . '/' . $file['filename']);
                    
                    return 1;
                
                }
            
            }
            
            // Java Script extensions
            elseif ($ext_type == 'js')
            {
            
                if ($extension == 'all')
                {
                
                    $result = $new_utl->Process_Dir('extensions/js', true);
                    
                    // Load all the extensions
                    foreach ($result as $file)
                        echo '<script type="text/javascript" src="' . $file['dirpath'] . '/' . $file['filename'] . '"></script>';
                    
                    return 1;
                
                }
                
                else
                {
                    
                    $result = $new_utl->Process_Dir('extensions/js/' . $extension, true);
                    
                    // Load this extension
                    foreach ($result as $file)
                        echo '<script type="text/javascript" src="' . $file['dirpath'] . '/' . $file['filename'] . '"></script>';
                    
                    return 1;
                
                }
                
                echo '<noscript>
                        Your browser does not support JavaScript!
                      </noscript>';
            
            }
            
            // AJAX extensions
            elseif ($ext_type == 'ajax')
            {
            
                if ($extension == 'all')
                {
                
                    $result = $new_utl->Process_Dir('extensions/ajax', true);
                    
                    // Load all the extensions
                    foreach ($result as $file)
                    {
                    
                        if (substr($file['filename'], strlen($file['filename']) - 2) == 'js')
                            echo '<script type="text/javascript" src="' . $file['dirpath'] . '/' . $file['filename'] . '"></script>';
                    
                    }
                    
                    return 1;
                
                }
                
                else
                {
                
                    $result = $new_utl->Process_Dir('extensions/ajax/' . $extension, true);
                    
                    // Load this extension
                    foreach ($result as $file)
                    {
                    
                        if (substr($file['filename'], strlen($file['filename']) - 2) == 'js')
                            echo '<script type="text/javascript" src="' . $file['dirpath'] . '/' . $file['filename'] . '"></script>';
                    
                    }
                    
                    return 1;
                
                }
            
            }
            
            return 0;
        
        }
    
    }
    
    
    
    /* ---------- End ---------- */

?>
