<?php

    /*
    
        UMBRELLA Consulting - ALPHA CMS
        
        Version: 3.2
        
        File name: controler.php
        Description: This file contains the controler calls.
        
        Coded by George Delaportas (G0D)
        
        UMBRELLA Consulting
        Copyright (c) 2010
    
    */
    
    
    
    // Include DTBS class
    require_once('db.php');
    
    // Create a new DTBS object
    $new_db = new DTBS;
    
    // CTRL class
    class CTRL
    {
    
        // Load language elements
        public function Load_Lang($lang_code)
        {
        
            global $new_db;
            
            $db_array = array();
            
            $db_array = $new_db->Load_Lang($lang_code);
            
            if (!$db_array)
                return 0;
            
            return $db_array;
        
        }
        
        // Load common elements
        public function Load_Common($option, $lang_code)
        {
        
            global $new_db;
            
            $db_array = array();
            
            $db_array = $new_db->Load_Common($option, $lang_code);
            
            if (!$db_array)
                return 0;
            
            return $db_array;
        
        }
        
        // Load menu
        public function Load_Menu($caller_id, $lang_code)
        {
        
            global $new_db;
            
            $db_array = array();
            
            $db_array = $new_db->Load_Menu($caller_id, $lang_code);
            
            if (!$db_array)
                return 0;
            
            return $db_array;
        
        }
        
        // Load content elements
        public function Load_Content($page, $option, $lang_code)
        {
        
            global $new_db;
            
            $db_array = array();
            
            $db_array = $new_db->Load_Content($page, $option, $lang_code);
            
            if (!$db_array)
                return 0;
            
            return $db_array;
        
        }    
        
        // Insert languages
        public function Insert_Lang($lang_code, $language, $sort_order)
        {
        
            global $new_db;
            
            $result = $new_db->Insert_Lang($lang_code, $language, $sort_order);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Insert common options
        public function Insert_Common($site_title, $site_description, $site_keywords, $company_name, $company_site, $footer_info, $lang_code)
        {
        
            global $new_db;
            
            $result = $new_db->Insert_Common($site_title, $site_description, $site_keywords, $company_name, $company_site, $footer_info, $lang_code);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Insert menu
        public function Insert_Menu($caller_id, $parent_menu_id, $menu_name, $menu_link, $lang_code, $sort_order)
        {
        
            global $new_db;
            
            $result = $new_db->Insert_Menu($caller_id, $parent_menu_id, $menu_name, $menu_link, $lang_code, $sort_order);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Insert content
        public function Insert_Content($page, $content, $keywords, $lang_code)
        {
        
            global $new_db;
            
            $result = $new_db->Insert_Content($page, $content, $keywords, $lang_code);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Update languages
        public function Update_Lang($id, $lang_code, $language, $sort_order)
        {
        
            global $new_db;
            
            $result = $new_db->Update_Lang($id, $lang_code, $language, $sort_order);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Update common options
        public function Update_Common($id, $site_title, $site_description, $site_keywords, $company_name, $company_site, $footer_info, $lang_code)
        {
        
            global $new_db;
            
            $result = $new_db->Update_Common($id, $site_title, $site_description, $site_keywords, $company_name, $company_site, $footer_info, $lang_code);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Update menu
        public function Update_Menu($id, $caller_id, $parent_menu_id, $menu_name, $menu_link, $lang_code, $sort_order)
        {
        
            global $new_db;
            
            $result = $new_db->Update_Menu($id, $caller_id, $parent_menu_id, $menu_name, $menu_link, $lang_code, $sort_order);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Update content
        public function Update_Content($id, $page, $content, $keywords, $lang_code)
        {
        
            global $new_db;
            
            $result = $new_db->Update_Content($id, $page, $content, $keywords, $lang_code);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Delete languages
        public function Delete_Lang($id)
        {
        
            global $new_db;
            
            $result = $new_db->Delete_Lang($id);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Delete common options
        public function Delete_Common($id)
        {
        
            global $new_db;
            
            $result = $new_db->Delete_Common($id);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Delete menu
        public function Delete_Menu($id)
        {
        
            global $new_db;
            
            $result = $new_db->Delete_Menu($id);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
        
        // Delete content
        public function Delete_Content($id)
        {
        
            global $new_db;
            
            $result = $new_db->Delete_Content($id);
            
            if (!$result)
                return 0;
            
            return $result;
        
        }
    
    }
    
    
    
    /* ---------- End ---------- */

?>
