/*

    UMBRELLA Consulting - AJAX system
    
    File name: ajax_system.js (Version: 3.2)
    Description: This file contains the AJAX system extension.
    
    Coded by George Delaportas (G0D)
    
    UMBRELLA Consulting
    Copyright (c) 2010

*/



// Initialize global XML HTTP object
var global_xml_http = AJAX_Init();

// Initialize global div ID
var ajax_div_id = null;

// Initialize an AJAX object
function AJAX_Init()
{

    var xmlHttp = null;
    
    // Firefox, Opera, Safari, Chrome
    try
    {
    
        xmlHttp = new XMLHttpRequest();
    
    }
    
    catch(e)
    {
    
        // Internet Explorer
        try
        {
        
            xmlHttp = new ActiveXObject('Msxml2.XMLHTTP');
        
        }
        
        catch(e)
        {
        
            try
            {
            
                xmlHttp = new ActiveXObject('Microsoft.XMLHTTP');
            
            }
            
            catch(e)
            {
            
                alert('Your browser does not support AJAX!');
            
            }
        
        }
    
    }
    
    return xmlHttp;

}

// State Changed - Trace changes of AJAX object
function __State_Changed()
{

    var content = null;
    var response = null;
    
    if(global_xml_http.readyState == 4)
    {
    
        if (document.getElementById(ajax_div_id) != null)
        {
        
            content = document.getElementById(ajax_div_id);
            response = global_xml_http.responseText;
            content.innerHTML = response;
        
        }

    
    }
    
    return true;

}

// Tranfer AJAX data
function AJAX_Transfer_Data(url, mode)
{

    if (url == '' || mode < 1 || mode > 2)
        return false;
    
    // Asynchronous transfer mode
    if (mode == 1)
    {
    
        global_xml_http.onreadystatechange = __State_Changed;
        global_xml_http.open('GET', url, true);
        global_xml_http.send(null);
    
    }
    
    // Synchronous transfer mode
    if (mode == 2)
    {
    
        global_xml_http.open('GET', url, false);
        global_xml_http.send(null);
        __State_Changed();
    
    }
    
    return true;

}



/* ---------- End ---------- */
