/*

    UMBRELLA Consulting - AJAX menu manager
    
    File name: menu_manager.js (Version: 3.2)
    Description: This file contains the AJAX menu manager extension.
    
    Coded by George Delaportas (G0D)
    
    UMBRELLA Consulting
    Copyright (c) 2010

*/



// Bind a menu to a link
function AJAX_Bind_Menu(content_id, caller_id, lang_code)
{

    var url;
    
    // Exit on error
    if (content_id == null || content_id < 1 ||
        caller_id == null || caller_id < 1 ||
        lang_code == null)
        return false;
    
    // Dynamic content to load
    ajax_div_id = content_id.id;
    
    url = 'extensions/ajax/menu_manager/menu_manager.php';
    url = url + '?menu_type=0';
    url = url + '&caller_id=' + caller_id;
    url = url + '&lang=' + lang_code;
    
    AJAX_Transfer_Data(url, 1);
    
    return true;

}

// Load menu content
function AJAX_Load_Menu_Content(content_id, menu_link, lang_code)
{

    var url;
    
    // Exit on error
    if (content_id == null || content_id < 1 ||
        menu_link == null || lang_code == null)
        return false;
    
    // Dynamic content to load
    ajax_div_id = content_id.id;
    
    url = 'extensions/ajax/menu_manager/menu_manager.php';
    url = url + '?menu_type=1';
    url = url + '&menu_link=' + menu_link;
    url = url + '&lang=' + lang_code;
    
    AJAX_Transfer_Data(url, 1);
    
    return true;

}



/* ---------- End ---------- */
