<?php

    /*
    
        UMBRELLA Consulting - ALPHA CMS
        
        Version: 3.2
        
        File name: menu_manager.php
        Description: This file contains the AJAX menu manager extension.
        
        Coded by George Delaportas (G0D)
        
        UMBRELLA Consulting
        Copyright (c) 2010
    
    */
    
    
    
    // Include utilities
    require_once('../../../alpha.php');
    
    // Create a new ALPHA CMS object
    $new_alpha = new ALPHA;
    
    // Open a connection to the DB
    $db_con = $new_alpha->Use_DB();
    
    if (!$db_con)
        return 0;
    
    // Create a Smarty instance;
    $new_smarty = $new_alpha->Smarty_Object();
    
    // Load menu
    if ($_GET['menu_type'] == '0')
    {
    
        $new_menu = array();
        
        // Load new menu elements
        $new_menu = $new_alpha->Load_Menu($_GET['caller_id'], $_GET['lang']);
        
        if (!$new_menu)
            return 0;
        
        $new_smarty->assign('this_lang', $_GET['lang']);
        $new_smarty->assign('menu', $new_menu);
        
        $new_smarty->display('menu.tpl');
    
    }
    
    // Load menu related content
    elseif ($_GET['menu_type'] == '1')
    {
    
        $this_content = array();
        $keywords = array();
        
        // Load content elements
        $this_content = $new_alpha->Load_Content($_GET['menu_link'], 'content', $_GET['lang']);
        $keywords = $new_alpha->Load_Content($_GET['menu_link'], 'keywords', $_GET['lang']);
        
        if (!$this_content)
            return 0;
        
        $new_smarty->assign('content', $this_content);
        $new_smarty->assign('keywords', $keywords);
        
        $new_smarty->display('content.tpl');
    
    }
    
    
    
    /* ---------- End ---------- */

?>
