/*

    UMBRELLA Consulting - Languages manager
    
    File name: languages.js (Version: 3.2)
    Description: This file contains the languages manager extension.
    
    Coded by George Delaportas (G0D)
    
    UMBRELLA Consulting
    Copyright (c) 2010

*/



// Set global variables
var global_lang = null;
var lang_counter = null;
var default_lang = null;

// Set global arrays
var all_langs = new Array();
var checked_langs = new Array();
var lang_pix = new Array();

// Initialize global variables
lang_counter = 0;
default_lang = 'en';

// Initialize languages
function Init_Languages()
{

    var i = null;
    var j = null;
    
    var this_lang = null;
    
    for (i = 0; i < lang_counter; i++)
        Check_Language(all_langs[i], false);
    
    this_lang = window.location.search.substring(window.location.search.length - 2,
                                                 window.location.search.length);
    
    for (i = 0; i < lang_counter; i++)
    {
    
        if (this_lang == all_langs[i])
        {
        
            Check_Language(this_lang, true);
            
            global_lang = this_lang;
            
            for (j = 0; j < lang_counter; j++)
                Load_Lang_Pix(lang_pix[j], all_langs[j]);
            
            return true;
        
        }
    
    }
    
    if (global_lang == null)
    {
    
        global_lang = default_lang;
        
        for (j = 0; j < lang_counter; j++)
            Load_Lang_Pix(lang_pix[j], this_lang);
        
        window.location.href = '?lang=' + global_lang;
        
        return true;
    
    }
    
    return false;

}

// Change language
function Change_Language(lang_code)
{

    var i = null;
    var address_loc = null;
    var lang_check = null;
    
    lang_check = Check_Language(lang_code, true)
    
    if (lang_check == false)
        return false;
    
    for (i = 0; i < lang_counter; i++)
    {
    
        if (all_langs[i] != lang_code)
            lang_check = Check_Language(all_langs[i], false);
        
        if (lang_check == false)
            return false;
    
    }
    
    try
    {
    
        address_loc = window.location.href.substring(0, window.location.href.length - 8);
        
        window.location.href = address_loc + '?lang=' + lang_code;
        
        global_lang = lang_code;
        
        return true;
    
    }
    
    catch(e)
    {
    
        return false;
    
    }

}

// Setup language
function Setup_Language(index, lang_code)
{

    try
    {
    
        all_langs[index] = lang_code;
        
        lang_counter++;
        
        return true;
    
    }
    
    catch(e)
    {
    
        return false;
    
    }

}

// Set default language
function Set_Default_Lang(lang_code)
{

    try
    {
    
        default_lang = lang_code;
        
        return true;
    
    }
    
    catch(e)
    {
    
        return false;
    
    }

}

// Check language
function Check_Language(lang_code, state)
{

    try
    {
    
        checked_langs[lang_code] = state;
        
        return true;
    
    }
    
    catch(e)
    {
    
        return false;
    
    }

}

// Setup language flag pix
function Setup_Lang_Pix(index, id)
{

    try
    {
    
        lang_pix[index] = id;
        
        return true;
    
    }
    
    catch(e)
    {
    
        return false;
    
    }

}

// Load language flag pix
function Load_Lang_Pix(id, lang_code)
{

    try
    {
    
        if (global_lang == lang_code)
            id.src = 'pix/langs/' + lang_code + '_over.png';
        
        return true;
    
    }
    
    catch(e)
    {
    
        return false;
    
    }

}

// Load language flag pix (Over)
function Lang_Pix_Over(id, lang_code)
{

    try
    {
    
        if (global_lang != lang_code)
            id.src = 'pix/langs/' + lang_code + '_over.png';
        
        return true;
    
    }
    
    catch(e)
    {
    
        return false;
    
    }

}

// Load language flag pix (Out)
function Lang_Pix_Out(id, lang_code)
{

    try
    {
    
        if (global_lang != lang_code)
            id.src = 'pix/langs/' + lang_code + '_out.png';
        
        return true;
    
    }
    
    catch(e)
    {
    
        return false;
    
    }

}



/* ---------- End ---------- */
