/*

    UMBRELLA Consulting - WASP (Floating GUI for web sites)
    
    File name: wasp.js (Version: 2.0)
    Description: This file contains the WASP - Floating GUI extension.
    
    Coded by George Delaportas (G0D)
    
    UMBRELLA Consulting
    Copyright (c) 2010

*/



// Set global variables
var global_element;
var the_tag;
var the_minimizer;
var tag_exists;
var tag_flag;
var brick_exists;
var brick_flag;
var bricks_done;
var global_zindex;
var global_x, global_y;
var obj_x;
var obj_y;
var drag_flag;
var delta_x, delta_y;
var tag_bias_x, tag_bias_y;
var minimizer_bias_x, minimizer_bias_y;
var left_screen_limit, top_screen_limit;

// Set global arrays
var tags_imgs = new Array();
var bricks = new Array();
var bricks_objects = new Array();
var bricks_imgs = new Array();
var objects_ids = new Array();
var objects_names = new Array();
var containers = new Array();
var containers_data = new Array();
var containers_width = new Array();
var containers_height = new Array();

// Initialize global variables
global_element = null;
the_tag = null;
the_minimizer = null;
tag_exists = 1;
tag_flag = 0;
brick_exists = 1;
brick_flag = 0;
bricks_done = 0;
global_zindex = 0;
global_x = 0;
global_y = 0;
obj_x = 0;
obj_y = 0;
drag_flag = 0;
delta_x = 0;
delta_y = 0;
tag_bias_x = 0;
tag_bias_y = 33;
minimizer_bias_x = 54;
minimizer_bias_y = 33;
left_screen_limit = 35;
top_screen_limit = 35;

// Initialize WASP
function Init_WASP(tag_id, minimizer_id)
{

    the_tag = tag_id;
    the_minimizer = minimizer_id;
    
    return true;

}

// Get mouse coordinates on document
function Get_Coords(event_listener)
{

    global_x = event_listener.clientX + document.body.scrollLeft - document.body.clientLeft;
    global_y = event_listener.clientY + document.body.scrollTop  - document.body.clientTop;
    
    return true;

}

// Setup elements
function Setup_Element(object_id, left, top, width, height, display)
{

    object_id.style.width = width;
    object_id.style.height = height;
    object_id.style.left = left;
    object_id.style.top = top;
    object_id.style.display = display;
    
    return true;

}

// Setup objects
function Setup_Object(index, object_id)
{

    objects_ids[index] = object_id;
    
    containers[object_id.id] = object_id.parentNode.id;
    
    return true;

}

// Setup objects names
function Setup_Object_Name(object_id, object_name)
{

    objects_names[object_id.id] = object_name;
    
    return true;

}

// Setup tags
function Setup_Tag(tag, tag_img)
{

    tags_imgs[tag] = tag_img;
    
    return true;

}

// Set tags appearance
function Set_Tag(object_id, tag_img)
{

    if (tag_img == 0)
        object_id.style.backgroundImage = 'url(' + tags_imgs[0] + ')';
    
    if (tag_img == 1)
         object_id.style.backgroundImage = 'url(' + tags_imgs[1] + ')';
    
    return true;

}

// Show drag tag for a specified element
function Show_Tag(object_id)
{

    if (tag_exists == 1 && tag_flag == 0)
    {
    
        the_tag.style.left =
        parseInt(object_id.style.left.substring(0, object_id.style.left.length - 2), 10) - tag_bias_x + 'px';
        the_tag.style.top =
        parseInt(object_id.style.top.substring(0, object_id.style.top.length - 2), 10) - tag_bias_y + 'px';
        
        global_zindex++;
        
        object_id.style.zIndex = global_zindex;
        
        global_zindex++;
        
        the_tag.style.zIndex = global_zindex;
        
        the_tag.style.display = 'inline';
        
        global_element = object_id;
        
        tag_exists = 0;
        
        return true;
    
    }
    
    return false;

}

// Show minimizer for a specified element
function Show_Minimizer(object_id)
{

    var i = null;
    
    if (brick_exists == 1 && brick_flag == 0)
    {
    
        for (i = 0; i < bricks_done; i++)
        {
        
            if (object_id.id == bricks[i])
            {
            
                the_minimizer.style.display = 'none';
                
                return false;
            
            }
        
        }
        
        the_minimizer.style.left =
        parseInt(object_id.style.left.substring(0, object_id.style.left.length - 2), 10) +
        parseInt(object_id.style.width.substring(0, object_id.style.width.length - 2), 10) - minimizer_bias_x + 'px';
        the_minimizer.style.top =
        parseInt(object_id.style.top.substring(0, object_id.style.top.length - 2), 10) - minimizer_bias_y + 'px';
        
        the_minimizer.style.zIndex = global_zindex;
        
        the_minimizer.style.display = 'inline';
        
        brick_exists = 0;
        
        return true;
    
    }
    
    return false;

}

// Drag elements
function Drag(event_listener)
{

    var mov_x;
    var mov_y;
    
    if (event_listener.button == 0 && drag_flag == 1)
    {
    
        mov_x = event_listener.clientX;
        mov_y = event_listener.clientY;
        
        if (mov_x > left_screen_limit && mov_y > top_screen_limit)
        {
        
            the_tag.style.left = parseInt(the_tag.style.left.substring(0, the_tag.style.left.length - 2)) +
                                          mov_x - obj_x + 'px';
            
            the_tag.style.top = parseInt(the_tag.style.top.substring(0, the_tag.style.top.length - 2)) +
                                         mov_y - obj_y + 'px';
            
            the_minimizer.style.left = parseInt(the_minimizer.style.left.substring(0, the_minimizer.style.left.length - 2)) +
                                                mov_x - obj_x + 'px';
            
            the_minimizer.style.top = parseInt(the_minimizer.style.top.substring(0, the_minimizer.style.top.length - 2)) +
                                                mov_y - obj_y + 'px';
            
            global_element.style.left = parseInt(global_element.style.left.substring(0, global_element.style.left.length - 2)) +
                                                 mov_x - obj_x + 'px';
            
            global_element.style.top = parseInt(global_element.style.top.substring(0, global_element.style.top.length - 2)) +
                                                mov_y - obj_y + 'px';
            
            obj_x = mov_x;
            obj_y = mov_y;
            
            tag_flag = 1;
            brick_flag = 1;
            
            return true;
        
        }
        
        else
            return false;
    
    }
    
    return false;

}

// Move Elements
function Move_element(event_listener)
{

    if (event_listener.button == 0)
    {
    
        obj_x = event_listener.clientX;
        obj_y = event_listener.clientY;
        
        the_tag.style.opacity = '0.5';
        
        the_minimizer.style.display = 'none';
        
        global_element.style.opacity = '0.5';
        
        drag_flag = 1;
        
        return true;
    
    }
    
    return false;

}

// Release elements
function Release(event_listener)
{

    if (event_listener.button == 0 && drag_flag == 1)
    {
    
        the_tag.style.opacity = '0.8';
        
        if (brick_exists == 1 && brick_flag == 0)
            the_minimizer.style.display = 'inline';
        
        global_element.style.opacity = '1';
        
        if (tag_flag == 1)
            tag_flag = 0;
        
        if (brick_flag == 1)
            brick_flag = 0;
        
        drag_flag = 0;
        
        return true;
    
    }
    
    return false;

}

// Hide drag tag
function Hide_Tag()
{

    if (global_element != null && tag_flag == 0)
    {
    
        the_tag.style.display = 'inline';
        
        tag_exists = 1;
        
        if (brick_flag == 0)
            brick_exists = 1;
        
        return true;
    
    }
    
    return false;

}

// Move a specified element on document
function Move(object_id, pos_x, pos_y)
{

    delta_x += pos_x;
    delta_y += pos_y;
    
    object_id.style.left = delta_x + 'px';
    object_id.style.top = delta_y + 'px';
    
    return true;

}

// Setup bricks
function Setup_Brick(brick, brick_img)
{

    bricks_imgs[brick] = brick_img;
    
    return true;

}

// Set minimizer appearcance
function Set_Minimizer(object_id, opacity_type)
{

    if (opacity_type == 0)
        object_id.style.opacity = '0.3';
    
    if (opacity_type == 1)
        object_id.style.opacity = '0.5';
    
    return true;

}

// Show name tag for a specified element
function Show_Name(object_id)
{

    var i = null;
    
    if (brick_exists == 1 && brick_flag == 0)
    {
    
        document.getElementById('brick_name').style.left =
        parseInt(object_id.style.left.substring(0, object_id.style.left.length - 2), 10) +
        parseInt(object_id.style.width.substring(0, object_id.style.width.length - 2), 10) - 10 + 'px';
        document.getElementById('brick_name').style.top =
        parseInt(object_id.style.top.substring(0, object_id.style.top.length - 2), 10) - 30 + 'px';
        
        document.getElementById('brick_name').style.zIndex = global_zindex;
        
        document.getElementById('brick_name_label').innerHTML = objects_names[object_id.id];
        
        document.getElementById('brick_name').style.display = 'inline';
        
        return true;
    
    }
    
    else
    {
    
        document.getElementById('brick_name').style.display = 'none';
        
        return true;
    
    }
    
    return false;

}

// Hide name tag
function Hide_Name()
{

    document.getElementById('brick_name').style.display = 'none';
    
    return true;

}

// Set bricks
function Set_Brick(object_id, brick)
{

    var container_id = null;
    
    container_id = object_id.id.substring(0, object_id.id.length - 6);
    
    if (brick == 0)
        document.getElementById(container_id + '_img_brick').setAttribute('src', bricks_imgs[0]);
    
    if (brick == 1)
        document.getElementById(container_id + '_img_brick').setAttribute('src', bricks_imgs[1]);
    
    return true;

}

// Do bricks
function Do_Brick(event_listener)
{

    var dynamic_brick_div = null;
    var dynamic_brick_img = null;
    
    if (event_listener.button == 0)
    {
    
        document.getElementById('brick_container').innerHTML = '';
        
        dynamic_brick_div = document.createElement('div');
        
        dynamic_brick_div.setAttribute('id', global_element.id + '_brick');
        dynamic_brick_div.setAttribute('class', 'class_brick');
        dynamic_brick_div.setAttribute('onMouseOver', 'Set_Brick(this, 1);');
        dynamic_brick_div.setAttribute('onMouseOut', 'Set_Brick(this, 0);');
        dynamic_brick_div.setAttribute('onMouseDown', 'Do_Widget(this, event);');
        
        document.getElementById('brick_container').appendChild(dynamic_brick_div);
        
        dynamic_brick_img = document.createElement('img');
        
        dynamic_brick_img.setAttribute('id', global_element.id + '_img_brick');
        dynamic_brick_img.setAttribute('src', bricks_imgs[0]);
        
        document.getElementById(global_element.id + '_brick').appendChild(dynamic_brick_img);
        
        if (document.getElementById('themes_select') != null)
            selected_theme = document.getElementById('themes_select').selectedIndex;
        
        containers_data[bricks_done] = global_element.innerHTML;
        
        global_element.innerHTML = document.getElementById('brick_container').innerHTML;
        
        containers_width[bricks_done] = global_element.style.width;
        containers_height[bricks_done] = global_element.style.height;
        
        global_element.style.width =  document.getElementById('brick_container').style.width;
        global_element.style.height =  document.getElementById('brick_container').style.height;
        
        the_minimizer.style.display = 'none';
        
        bricks_objects[bricks_done] = dynamic_brick_div;
        bricks[bricks_done] = global_element.id;
        
        document.getElementById(global_element.id + '_brick').style.display = 'inline';
        
        bricks_done++;
        
        return true;
    
    }
    
    return false;

}

// Do widgets
function Do_Widget(object_id, event_listener)
{

    var i = null;
    var container_id = null;
    
    container_id = object_id.id.substring(0, object_id.id.length - 6);
    
    if (event_listener.button == 0)
    {
    
        for (i = 0; i < bricks_done; i++)
        {
        
            if (container_id == bricks[i])
            {
            
                document.getElementById(container_id).removeChild(object_id);
                
                document.getElementById(container_id).innerHTML = containers_data[i];
                
                if (document.getElementById('themes_select') != null)
                    document.getElementById('themes_select').selectedIndex = selected_theme;
                
                document.getElementById(container_id).style.display = 'inline';
                
                document.getElementById(container_id).style.width = containers_width[i];
                document.getElementById(container_id).style.height = containers_height[i];
                
                the_minimizer.style.display = 'inline';
                
                document.getElementById('brick_container').innerHTML = '';
                
                containers_data.splice(i, 1);
                containers_width.splice(i, 1);
                containers_height.splice(i, 1);
                bricks_objects.splice(i, 1);
                bricks.splice(i, 1);
                
                bricks_done--;
                
                return true;
            
            }
        
        }
    
    }
    
    return false;

}



/* ---------- End ---------- */
