<?php

    /*
    
        UMBRELLA Consulting - ALPHA CMS
        
        Version: 3.2
        
        File name: main.php
        Description: This file contains the main HTML.
        
        Coded by George Delaportas (G0D)
        
        UMBRELLA Consulting
        Copyright (c) 2010
    
    */

?>

<?php

    if (!defined('ALPHA'))
        die('ERROR: Unable to load ALPHA CMS!');

?>



<html>

    <head>
    
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="<?php echo $new_alpha->Load_Common('site_description', $new_alpha->Get_Language()); ?>" />
        <meta name="keywords" content="<?php echo $new_alpha->Load_Common('site_keywords', $new_alpha->Get_Language()); ?>" />
        
        <link rel="Icon" type="image/ico" href="pix/alpha_cms.ico" />
        <link rel="StyleSheet" href="alpha_cms.css" type="text/css" media="screen" />
        
        <?php
        
            // Load all needed extensions
            $new_alpha->Load_Extension('languages_manager', 'js');
            $new_alpha->Load_Extension('key_manager', 'js');
            $new_alpha->Load_Extension('wasp', 'js');
            $new_alpha->Load_Extension('nature', 'js');
            $new_alpha->Load_Extension('ajax_system', 'ajax');
            $new_alpha->Load_Extension('menu_manager', 'ajax');
            $new_alpha->Load_Extension('content_manager', 'ajax');
        
        ?>
        
        <title><?php echo $new_alpha->Load_Common('site_title', $new_alpha->Get_Language()); ?></title>
    
    </head>
    
    <body onLoad="Setup_Language(0, 'gr');
                  Setup_Language(1, 'en');
                  Set_Default_Lang('en');
                  Setup_Lang_Pix(0, lang_gr_pix);
                  Setup_Lang_Pix(1, lang_en_pix);
                  Init_Languages();
                  Setup_Element(container_1, '70px', '70px', '453px', '128px', 'inline');
                  Setup_Element(container_2, '70px', '320px', '277px', '229px', 'inline');
                  Setup_Element(container_3, '800px', '355px', '422px', '229px', 'inline');
                  Setup_Element(container_4, '945px', '210px', '274px', '84px', 'inline');
                  Setup_Element(container_5, '800px', '70px', '216px', '92px', 'inline');
                  Setup_Element(brick_container, '0px', '0px', '126px', '58px', 'hidden');
                  Setup_Object(0, tag);
                  Setup_Object(1, top_menu);
                  Setup_Object(2, left_menu);
                  Setup_Object(3, viewer);
                  Setup_Object(4, themes);
                  Setup_Object(5, themes_select);
                  Setup_Object(6, languages);
                  Setup_Object_Name(container_1, 'Top menu');
                  Setup_Object_Name(container_2, 'Left menu');
                  Setup_Object_Name(container_3, 'Viewer');
                  Setup_Object_Name(container_4, 'Themes');
                  Setup_Object_Name(container_5, 'Languages');
                  Init_Environment(this);
                  Init_WASP(tag, minimizer);"
          onMouseMove="Get_Coords(event); Drag(event);"
          onMouseUp="Release(event);"
          onKeyDown="Get_Keys(event);">
    
        <?php
        
            // This loads the DHTML
            require_once('dhtml.php');
        
        ?>
    
    </body>

</html>



<?php /* ---------- End ---------- */ ?>
