<?php

    /*
    
        UMBRELLA Consulting - ALPHA CMS
        
        Version: 3.2
        
        File name: utilities.php
        Description: This file contains the utilities calls.
        
        Coded by George Delaportas (G0D)
        
        UMBRELLA Consulting
        Copyright (c) 2010
    
    */
    
    
    
    // Include ALPHA CMS class
    require_once('alpha.php');
    
    // Include DTBS class
    require_once('db.php');
    
    // Create a new ALPHA CMS object
    $new_alpha = new ALPHA;
    
    // UTL class
    class UTL
    {
    
        // Global variables
        private $menu_elements = array();
        
        // Setup Wizard
        public function Setup_Wizard()
        {
        
            global $new_alpha;
            
            $new_smarty = $new_alpha->Smarty_Object();
            
            if (!$new_smarty)
                return 0;
            
            $new_smarty->display('setup_wizard.tpl');
            
            return 1;
        
        }
        
        // Store a DTBS connection
        public function Store_DB_Connection($domain, $new_db, $user, $pass)
        {
        
            global $new_alpha;
            
            $file_handler = fopen($new_alpha->Absolute_Path() . 'config/db.cfg', 'w');
            
            if (!$file_handler)
                return 0;
            
            $access = fputs($file_handler, $domain . ':' . $new_db . ':' . $user . ':' . $pass);
            
            fclose($file_handler);
            
            if (!$access)
                return 0;
            
            return 1;
        
        }
        
        // Restore a DTBS connection
        public function Restore_DB_Connection()
        {
        
            global $new_alpha;
            
            $result = array();
            
            $file_handler = fopen($new_alpha->Absolute_Path() . 'config/db.cfg', 'r');
            
            if (!$file_handler)
                return 0;
            
            $buffer = fgets($file_handler);
            
            fclose($file_handler);
            
            if (!$buffer)
                return 0;
            
            $result = explode(':', $buffer);
            
            return $result;
        
        }
        
        // Delete a DTBS connection
        public function Delete_DB_Connection()
        {
        
            global $new_alpha;
            
            $file_handler = fopen($new_alpha->Absolute_Path() . 'config/db.cfg', 'w');
            
            if (!$file_handler)
                return 0;
            
            $access = fputs($file_handler, '0');
            
            fclose($file_handler);
            
            if (!$access)
                return 0;
            
            return 1;
        
        }
        
        // Use the current DTBS
        public function Use_DB()
        {
        
            $new_db = new DTBS;
            
            $con_array = array();
            
            $con_array = $this->Restore_DB_Connection();
            
            if (!$con_array)
                return 0;
            
            $mysql_con = $new_db->Connect($con_array[0], $con_array[1], $con_array[2], $con_array[3]);
            
            if (!$mysql_con)
                return 0;
            
            return $mysql_con;
        
        }
        
        // Create a dynamic menu
        public function Create_Menu($caller_id, $parent_menu_id, $lang_code)
        {
        
            $mysql_con = $this->Use_DB();
            
            if (!$mysql_con)
                return 0;
            
            $sql = 'SELECT alpha_menu.id, alpha_menu.caller_id, alpha_menu.parent_menu_id, 
                    alpha_menu.menu_name, alpha_menu.menu_link, alpha_menu.lang_code,
                    alpha_menu.sort_order
                    FROM alpha_menu
                    INNER JOIN alpha_languages
                    ON alpha_menu.lang_code = alpha_languages.lang_code
                    WHERE alpha_menu.lang_code = ' . "'$lang_code'" . '
                    AND caller_id = ' . "'$caller_id'" . '
                    AND parent_menu_id = ' . "'$parent_menu_id'" .'
                    ORDER BY alpha_menu.sort_order';
            
            $mysql_result = mysql_query($sql, $mysql_con);
            
            if (!$mysql_result)
                return 0;
            
            while ($mysql_row = mysql_fetch_array($mysql_result))
            {
            
                $this->menu_elements[$mysql_row['parent_menu_id']]['name']
                              [$mysql_row['id']] = $mysql_row['menu_name'];
                
                $this->menu_elements[$mysql_row['parent_menu_id']]['link']
                              [$mysql_row['id']] = $mysql_row['menu_link'];
                
                $this->Create_Menu($caller_id, $mysql_row['id'], $lang_code);
            
            }
        
        }
        
        // Get dynamic menu
        public function Get_Menu()
        {
        
            if (!$this->menu_elements)
                return 0;
            
            return $this->menu_elements;
        
        }
        
        // Process a directory
        public function Process_Dir($dir, $recursive = false)
        {
        
            if (is_dir($dir))
            {
            
                for ($list = array(), $handle = opendir($dir); (($file = readdir($handle)) != false);)
                {
                
                    if (($file != '.' && $file != '..') && (file_exists($path = $dir . '/' . $file)))
                    {
                    
                        if (is_dir($path) && ($recursive))
                            $list = array_merge($list, Process_Dir($path, true));
                        
                        else
                        {
                        
                            $entry = array('filename' => $file, 'dirpath' => $dir);
                            $entry['modtime'] = filemtime($path);
                            
                            do if (!is_dir($path))
                            {
                            
                                $entry['size'] = filesize($path);
                                
                                if (strstr(pathinfo($path, PATHINFO_BASENAME), 'log'))
                                {
                                
                                    if (!$entry['handle'] = fopen($path, r))
                                        $entry['handle'] = "ERROR";
                                
                                }
                                
                                break;
                            
                            }
                            
                            else
                                break;
                            
                            while (false);
                            
                            $list[] = $entry;
                        
                        }
                    
                    }
                
                }
                
                closedir($handle);
                
                return $list;
            
            }
            
            else
                return false;
        
        }
    
    }
    
    
    
    /* ---------- End ---------- */

?>
